terraform {
  required_providers {
    namecheap = {
      source = "namecheap/namecheap"
      version = "~> 2.1.0"
    }
  }

  backend "http" {
    address        = "https://asciireactor.com/api/v4/projects/131/terraform/state/library-app"
    lock_address   = "https://asciireactor.com/api/v4/projects/131/terraform/state/library-app/lock"
    unlock_address = "https://asciireactor.com/api/v4/projects/131/terraform/state/library-app/lock"
    lock_method    = "POST"
    unlock_method  = "DELETE"
    retry_wait_min = 5
  }
}

provider "namecheap" {}

variable "host-rproxy" {
  type    = string
  default = "rprxy-0.saline.o4data.net."
}

resource "namecheap_domain_records" "othonotes" {
  domain = "othonotes.com"
  record {
    hostname = "@"
    address  = var.host-rproxy
    type     = "ALIAS"
    ttl      = 300
  }
  record {
    hostname = "www"
    address  = "othonotes.com."
    type     = "CNAME"
  }
}

resource "namecheap_domain_records" "othostash" {
  domain = "othostash.com"
  record {
    hostname = "websites"
    address  = var.host-rproxy
    type     = "CNAME"
  }
  record {
    hostname = "filemanager"
    address  = var.host-rproxy
    type     = "CNAME"
  }
}
